require 'sketchup.rb'
require 'extensions.rb'


module CityGeometrix
  module BIMShell

    unless file_loaded?(__FILE__)

      EXT = SketchupExtension.new('BIMShell', 'su_bimshell/cg_bimshell_main')
      EXT.description = 'A tool for generating different types of shells from any selected geometries (BIM models in particular).'
      EXT.version     = '1.5.3'
      EXT.copyright   = 'CityGeometrix Pty Ltd © 2025'
      EXT.creator     = 'CityGeometrix'

      Sketchup.register_extension(EXT, true)
      file_loaded(__FILE__)
    end

  end # module BIMShell
end # module CityGeometrix
